#
# spec file for package ckermit (Version 8.0.211)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd termcap texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ckermit
BuildRequires:  openssl-devel termcap
%define       archiv_name cku211
License:        Artistic License, Other License(s), see package
Group:          Hardware/Modem
Summary:        A Combined Serial and Network Communication Software Package
Provides:       kermit
Autoreqprov:    on
Version:        8.0.211
Release:        20.2
URL:            http://www.columbia.edu/kermit/
Source:         %{archiv_name}.tar.bz2
Patch0:         %{archiv_name}-fmt.diff
Patch1:         %{archiv_name}-prototypes.diff
Patch2:         %{archiv_name}-paths.diff
Patch3:         %{archiv_name}-return.diff
Patch4:         %{archiv_name}-EMrename.diff
Patch5:         %{archiv_name}-debug.diff
Patch6:         %{archiv_name}-uninitialized.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
C-Kermit is a combined serial and network communication software
package offering a consistent, medium-independent, and cross-platform
approach to connection establishment, terminal sessions, file transfer,
character-set translation, and automation of communication tasks.



%debug_package
%prep
%setup -q -c -n %{archiv_name}
%patch0
%patch1
%patch2
%patch3
%patch4
#%patch5
%patch6

%build
make linux+openssl+shadow KFLAGS="$RPM_OPT_FLAGS" \
    SSLLIB="-L%{_libdir}" SSLINC="-I/usr/share/ssl/misc"\
    TERMCAPLIB="-L%{_libdir}/termcap"

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 wermit $RPM_BUILD_ROOT/usr/bin/kermit
install -m 644 ckuker.nr $RPM_BUILD_ROOT%{_mandir}/man1/kermit.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING.TXT *.txt *.ini
%doc %{_mandir}/man1/*
/usr/bin/*

%changelog -n ckermit
* Mon Feb 27 2006 - anicka@suse.cz
- fix uninitialized variable (#152938)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - mjancar@suse.cz
- add format attribute to custom ckermit printf prototype (#138978)
* Fri Jan 20 2006 - mjancar@suse.cz
- fix short argument list for format (#138978)
* Fri Oct 14 2005 - ro@suse.de
- rename EM to _EM (seems unused anyway)
* Fri Aug 06 2004 - mjancar@suse.cz
- update to 8.0.211
* Tue Apr 20 2004 - mjancar@suse.cz
- add return to nonvoid functions
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Apr 23 2003 - vbobek@suse.cz
- updated to new version 8.0.209
  * built-in ftp client
  * built-in http 1.1 client
  * includes interface for external SSH program
  * many new modem types added
  * automatic text/binary mode switching
  * proxy support
  * scripting improvements
  * bug fixes
- compiled with openssl+shadow passwords support
- fixed paths for termcap
- removed obsolete fix for 64bit-architectures (use %%_libdir in specfile
  instead)
- fixed problematic cast warning on x86_64 (missing_includes.patch)
* Fri Feb 14 2003 - vbobek@suse.cz
- used $RPM_OPT_FLAGS
- removed obsolete -mminimal-toc which is already included in $RPM_OPT_FLAGS
  for ppc64 now [#23266]
* Tue Dec 03 2002 - jderfina@suse.cz
- upgrade to version 8.0.206
- single patch splited to two more readable patches.
* Sun Dec 01 2002 - ro@suse.de
- include errno.h where needed
* Mon Jul 01 2002 - olh@suse.de
- hack to build with -mminimal-toc on ppc64
* Wed May 29 2002 - ro@suse.de
- fixed for lib64 platforms
* Wed Feb 06 2002 - pmladek@suse.cz
- updated to version 8.0.200:
  * a new built-in FTP client
  * a new HTTP 1.1 client
  * telnet Com Port Option for dialing from Telnet modem servers
  * file scanning for automatic text/binary determination
  * learned scripts
  * LISP-like S-Expressions and natural floating-point arithmetic
  * lots of script programming improvements
  * performance improvements and bug fixes
- fixed warnings on ia64
- disabled HAVE_PTMX test because makefile don't detect this correctly
* Wed May 16 2001 - pmladek@suse.cz
- fixed cast warnings on ia64
* Mon Apr 23 2001 - pmladek@suse.cz
- fixed conversions int <-> pointer on ia64
* Thu Feb 08 2001 - cihlar@suse.cz
- fixed to compile
* Mon Oct 30 2000 - cihlar@suse.cz
- bzipped sources
- fixed file list
* Mon Mar 13 2000 - grimmer@suse.de
- now uses BUILD_ROOT for package building
* Fri Mar 10 2000 - grimmer@suse.de
- initial version (7.0.197)
- added patch to correct location of docs (/usr/doc -> /usr/doc/packages)
